Bug 1464953 - logical volume resize fails with error message
logical volume resize fails with error message
Status: ON_QA
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: udisks2 (Show other bugs)
7.4
Unspecified Unspecified
unspecified Severity unspecified
: rc
: ---
Assigned To: Vratislav Podzimek
Desktop QE
: Extras
: 1462660 (view as bug list)
Depends On:
Blocks: 1459279
  Show dependency treegraph
 
Reported: 2017-06-26 05:47 EDT by Dominik Perpeet
Modified: 2017-10-27 14:55 EDT (History)
6 users (show)

See Also:
Fixed In Version: udisks2-2.7.3-2.el7
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Screenshot of error from tests (102.52 KB, image/png)
2017-06-26 05:47 EDT, Dominik Perpeet
no flags Details

  None (edit)
Description Dominik Perpeet 2017-06-26 05:47:59 EDT
Created attachment 1291938 [details]
Screenshot of error from tests

Original problem described in https://bugzilla.redhat.com/show_bug.cgi?id=1462660


Description of problem:
During Cockpit upstream integration testing, a test to resize a logical volume fails unexpectedly. Underlying lvm2 default behavior has changed.

I believe storaged has a fix for this on master already: https://github.com/storaged-project/udisks/commit/527e4d5683703ba2684e3f4e51e1251ff26030f2

First found in https://fedorapeople.org/groups/cockpit/logs/pull-6360-20170615-152828-dd09a8ca-verify-rhel-7-4/log.html

Version-Release number of selected component (if applicable):
Cockpit 142.x

storaged:
Arch        : x86_64
Version     : 2.5.2
Release     : 3.el

How reproducible:
Always

Steps to Reproduce:
Run integration tests for volume resize https://github.com/cockpit-project/cockpit/blob/0177950a4be3abaff3545a92f62e094956b2caa3/test/verify/check-storage-resize#L57

Actual results:
Error message, see screenshot. Trace in issue: https://github.com/cockpit-project/cockpit/issues/6960
Comment 2 Marius Vollmer 2017-06-28 04:29:35 EDT
*** Bug 1462660 has been marked as a duplicate of this bug. ***
Comment 4 Vratislav Podzimek 2017-10-24 08:47:00 EDT
I believe this is resolved in udisks2-2.7.3-2.el7

Note You need to log in before you can comment on or make changes to this bug.